[arch-commits] Commit in plan9port/repos (18 files)

Alexander Rødseth arodseth at archlinux.org
Mon Jan 5 09:26:56 UTC 2015


    Date: Monday, January 5, 2015 @ 10:26:54
  Author: arodseth
Revision: 125387

archrelease: copy trunk to community-x86_64, community-i686

Added:
  plan9port/repos/community-i686/PKGBUILD
    (from rev 125386, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-i686/acme.desktop
    (from rev 125386, plan9port/trunk/acme.desktop)
  plan9port/repos/community-i686/acme.png
    (from rev 125386, plan9port/trunk/acme.png)
  plan9port/repos/community-i686/acme.sh
    (from rev 125386, plan9port/trunk/acme.sh)
  plan9port/repos/community-i686/plan9.install
    (from rev 125386, plan9port/trunk/plan9.install)
  plan9port/repos/community-i686/plan9.sh
    (from rev 125386, plan9port/trunk/plan9.sh)
  plan9port/repos/community-x86_64/PKGBUILD
    (from rev 125386, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-x86_64/acme.desktop
    (from rev 125386, plan9port/trunk/acme.desktop)
  plan9port/repos/community-x86_64/acme.png
    (from rev 125386, plan9port/trunk/acme.png)
  plan9port/repos/community-x86_64/acme.sh
    (from rev 125386, plan9port/trunk/acme.sh)
  plan9port/repos/community-x86_64/plan9.install
    (from rev 125386, plan9port/trunk/plan9.install)
  plan9port/repos/community-x86_64/plan9.sh
    (from rev 125386, plan9port/trunk/plan9.sh)
Deleted:
  plan9port/repos/community-i686/PKGBUILD
  plan9port/repos/community-i686/plan9.install
  plan9port/repos/community-i686/plan9.sh
  plan9port/repos/community-x86_64/PKGBUILD
  plan9port/repos/community-x86_64/plan9.install
  plan9port/repos/community-x86_64/plan9.sh

--------------------------------+
 /PKGBUILD                      |  178 +++++++++++++++++++++++++++++++++++++++
 /plan9.install                 |   16 +++
 /plan9.sh                      |    8 +
 community-i686/PKGBUILD        |   72 ---------------
 community-i686/acme.desktop    |   11 ++
 community-i686/acme.sh         |    3 
 community-i686/plan9.install   |    8 -
 community-i686/plan9.sh        |    4 
 community-x86_64/PKGBUILD      |   72 ---------------
 community-x86_64/acme.desktop  |   11 ++
 community-x86_64/acme.sh       |    3 
 community-x86_64/plan9.install |    8 -
 community-x86_64/plan9.sh      |    4 
 13 files changed, 230 insertions(+), 168 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2015-01-05 08:45:40 UTC (rev 125386)
+++ community-i686/PKGBUILD	2015-01-05 09:26:54 UTC (rev 125387)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20140306
-pkgrel=1
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman' 'staticlibs')
-source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('cbb826cde693abdaa2051c49e7ebf75119bf2a4791fe3b3229f1ac36a408eaeb'
-            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b')
-
-package() {
-  cd "$pkgname"
-
-  # Try the gentoo way for fixing hardcoded paths
-  PLAN9=/usr/lib/plan9
-  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
-
-  d=usr/lib
-
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  install -d "$pkgdir/$d"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
-  cd "$pkgdir/$d/plan9"
-  ./INSTALL -c -r "$pkgdir/$d/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find $pkgdir/$d/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-
-  # Once more
-  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
-  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-i686/PKGBUILD (from rev 125386, plan9port/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20140306
+pkgrel=2
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'fuse')
+makedepends=('gendesk')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman' 'staticlibs')
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
+        'plan9.sh' 'acme.png' 'acme.desktop' 'acme.sh')
+sha256sums=('cbb826cde693abdaa2051c49e7ebf75119bf2a4791fe3b3229f1ac36a408eaeb'
+            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b'
+            'b9046c4b7ed5e8e22bf3ea669d65ff681e616663b9743909a225884ac6fb261b'
+            '57fdddb70ba969ff4aa2f6c5b68dec02abe937a69044fe00006726e1900d5ffe'
+            'fa6d13acba9db07b5b394ffe828548efa532ff8cc8e1d321b65ae6fc65e1f444')
+
+
+prepare() {
+  # Generate a desktop shortcut for the Acme editor
+  gendesk -f --pkgname acme --name Acme --genericname Editor \
+    --comment 'Editor from Plan9' --categories 'Application;Development;TextEditor'
+}
+
+package() {
+  cd "$pkgname"
+
+  # Try the gentoo way for fixing hardcoded paths
+  PLAN9=/usr/lib/plan9
+  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
+
+  d=usr/lib
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir/$d"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
+  cd "$pkgdir/$d/plan9"
+  ./INSTALL -c -r "$pkgdir/$d/plan9"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find $pkgdir/$d/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+
+  # Once more
+  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
+  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
+
+  # Acme
+  cd "$srcdir"
+  install -Dm644 acme.desktop "$pkgdir/usr/share/applications/acme.desktop"
+  install -Dm755 acme.sh "$pkgdir/usr/bin/acme"
+  install -Dm644 acme.png "$pkgdir/usr/share/pixmaps/acme.png"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-i686/acme.desktop (from rev 125386, plan9port/trunk/acme.desktop)
===================================================================
--- community-i686/acme.desktop	                        (rev 0)
+++ community-i686/acme.desktop	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=Acme
+GenericName=Editor
+Comment=Editor from Plan9
+Exec=acme
+Icon=acme
+Terminal=false
+StartupNotify=false
+Categories=Application;Development;TextEditor;

Copied: plan9port/repos/community-i686/acme.png (from rev 125386, plan9port/trunk/acme.png)
===================================================================
(Binary files differ)

Copied: plan9port/repos/community-i686/acme.sh (from rev 125386, plan9port/trunk/acme.sh)
===================================================================
--- community-i686/acme.sh	                        (rev 0)
+++ community-i686/acme.sh	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,3 @@
+#!/bin/sh
+source /etc/profile.d/plan9.sh
+9 acme "$@"

Deleted: community-i686/plan9.install
===================================================================
--- community-i686/plan9.install	2015-01-05 08:45:40 UTC (rev 125386)
+++ community-i686/plan9.install	2015-01-05 09:26:54 UTC (rev 125387)
@@ -1,8 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}

Copied: plan9port/repos/community-i686/plan9.install (from rev 125386, plan9port/trunk/plan9.install)
===================================================================
--- community-i686/plan9.install	                        (rev 0)
+++ community-i686/plan9.install	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,8 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}

Deleted: community-i686/plan9.sh
===================================================================
--- community-i686/plan9.sh	2015-01-05 08:45:40 UTC (rev 125386)
+++ community-i686/plan9.sh	2015-01-05 09:26:54 UTC (rev 125387)
@@ -1,4 +0,0 @@
-export PLAN9=/usr/lib/plan9
-export PATH=$PATH:$PLAN9/bin
-export ROOTPATH=$ROOTPATH:$PLAN9/bin
-export MANPATH=$MANPATH:$PLAN9/man

Copied: plan9port/repos/community-i686/plan9.sh (from rev 125386, plan9port/trunk/plan9.sh)
===================================================================
--- community-i686/plan9.sh	                        (rev 0)
+++ community-i686/plan9.sh	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,4 @@
+export PLAN9=/usr/lib/plan9
+export PATH=$PATH:$PLAN9/bin
+export ROOTPATH=$ROOTPATH:$PLAN9/bin
+export MANPATH=$MANPATH:$PLAN9/man

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2015-01-05 08:45:40 UTC (rev 125386)
+++ community-x86_64/PKGBUILD	2015-01-05 09:26:54 UTC (rev 125387)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20140306
-pkgrel=1
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman' 'staticlibs')
-source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('cbb826cde693abdaa2051c49e7ebf75119bf2a4791fe3b3229f1ac36a408eaeb'
-            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b')
-
-package() {
-  cd "$pkgname"
-
-  # Try the gentoo way for fixing hardcoded paths
-  PLAN9=/usr/lib/plan9
-  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
-
-  d=usr/lib
-
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  install -d "$pkgdir/$d"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
-  cd "$pkgdir/$d/plan9"
-  ./INSTALL -c -r "$pkgdir/$d/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find $pkgdir/$d/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-
-  # Once more
-  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
-  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-x86_64/PKGBUILD (from rev 125386, plan9port/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20140306
+pkgrel=2
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'fuse')
+makedepends=('gendesk')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman' 'staticlibs')
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
+        'plan9.sh' 'acme.png' 'acme.desktop' 'acme.sh')
+sha256sums=('cbb826cde693abdaa2051c49e7ebf75119bf2a4791fe3b3229f1ac36a408eaeb'
+            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b'
+            'b9046c4b7ed5e8e22bf3ea669d65ff681e616663b9743909a225884ac6fb261b'
+            '57fdddb70ba969ff4aa2f6c5b68dec02abe937a69044fe00006726e1900d5ffe'
+            'fa6d13acba9db07b5b394ffe828548efa532ff8cc8e1d321b65ae6fc65e1f444')
+
+
+prepare() {
+  # Generate a desktop shortcut for the Acme editor
+  gendesk -f --pkgname acme --name Acme --genericname Editor \
+    --comment 'Editor from Plan9' --categories 'Application;Development;TextEditor'
+}
+
+package() {
+  cd "$pkgname"
+
+  # Try the gentoo way for fixing hardcoded paths
+  PLAN9=/usr/lib/plan9
+  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
+
+  d=usr/lib
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir/$d"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
+  cd "$pkgdir/$d/plan9"
+  ./INSTALL -c -r "$pkgdir/$d/plan9"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find $pkgdir/$d/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+
+  # Once more
+  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
+  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
+
+  # Acme
+  cd "$srcdir"
+  install -Dm644 acme.desktop "$pkgdir/usr/share/applications/acme.desktop"
+  install -Dm755 acme.sh "$pkgdir/usr/bin/acme"
+  install -Dm644 acme.png "$pkgdir/usr/share/pixmaps/acme.png"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-x86_64/acme.desktop (from rev 125386, plan9port/trunk/acme.desktop)
===================================================================
--- community-x86_64/acme.desktop	                        (rev 0)
+++ community-x86_64/acme.desktop	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=Acme
+GenericName=Editor
+Comment=Editor from Plan9
+Exec=acme
+Icon=acme
+Terminal=false
+StartupNotify=false
+Categories=Application;Development;TextEditor;

Copied: plan9port/repos/community-x86_64/acme.png (from rev 125386, plan9port/trunk/acme.png)
===================================================================
(Binary files differ)

Copied: plan9port/repos/community-x86_64/acme.sh (from rev 125386, plan9port/trunk/acme.sh)
===================================================================
--- community-x86_64/acme.sh	                        (rev 0)
+++ community-x86_64/acme.sh	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,3 @@
+#!/bin/sh
+source /etc/profile.d/plan9.sh
+9 acme "$@"

Deleted: community-x86_64/plan9.install
===================================================================
--- community-x86_64/plan9.install	2015-01-05 08:45:40 UTC (rev 125386)
+++ community-x86_64/plan9.install	2015-01-05 09:26:54 UTC (rev 125387)
@@ -1,8 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}

Copied: plan9port/repos/community-x86_64/plan9.install (from rev 125386, plan9port/trunk/plan9.install)
===================================================================
--- community-x86_64/plan9.install	                        (rev 0)
+++ community-x86_64/plan9.install	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,8 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}

Deleted: community-x86_64/plan9.sh
===================================================================
--- community-x86_64/plan9.sh	2015-01-05 08:45:40 UTC (rev 125386)
+++ community-x86_64/plan9.sh	2015-01-05 09:26:54 UTC (rev 125387)
@@ -1,4 +0,0 @@
-export PLAN9=/usr/lib/plan9
-export PATH=$PATH:$PLAN9/bin
-export ROOTPATH=$ROOTPATH:$PLAN9/bin
-export MANPATH=$MANPATH:$PLAN9/man

Copied: plan9port/repos/community-x86_64/plan9.sh (from rev 125386, plan9port/trunk/plan9.sh)
===================================================================
--- community-x86_64/plan9.sh	                        (rev 0)
+++ community-x86_64/plan9.sh	2015-01-05 09:26:54 UTC (rev 125387)
@@ -0,0 +1,4 @@
+export PLAN9=/usr/lib/plan9
+export PATH=$PATH:$PLAN9/bin
+export ROOTPATH=$ROOTPATH:$PLAN9/bin
+export MANPATH=$MANPATH:$PLAN9/man



More information about the arch-commits mailing list